API referenceOperations
Get Operation
The operation's state; with wait, a bounded long-poll (≤ 60 s) that
answers as soon as it is terminal. Requires the read scope.
Authorization
apiKey AuthorizationBearer <token>
First-party API key (sbk_live_…), presented as a Bearer token.
In: header
Path Parameters
operation_id*Operation Id
Format
uuidQuery Parameters
wait?Wait
Seconds to hold the request open waiting for a terminal state (bounded long-poll).
Range
0 <= value <= 60Default
0Response Body
application/json
application/problem+json
curl -X GET "https://example.com/v1/operations/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "scene_step", "status": "queued", "target": { "type": "scene", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "input": {}, "progress": {}, "result": {}, "error": { "code": "string", "message": "string", "retryable": false }, "credits_charged": 0, "model": { "id": "string", "hosting": "scenebrew", "billing": "credits" }, "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "created_at": "2019-08-24T14:15:22Z", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z", "cancel_requested_at": "2019-08-24T14:15:22Z"}